# _ResizeFilter Struct Reference

## Public Member Functions

MagickRealType(* | window (const MagickRealType, const ResizeFilter *))(*)

## Data Fields

MagickRealType(* | filter )(const MagickRealType, const ResizeFilter *)
MagickRealType(*)(*) | support
MagickRealType(*)(*) | wsupport
MagickRealType(*)(*) | wsize
MagickRealType(*)(*) | blur
MagickRealType(*)(*) | cubic [8]
unsigned long | signature

## Member Function Documentation

MagickRealType(* _ResizeFilter::window | ( | const | MagickRealType,
|  | const ResizeFilter * |  |
| ) |  |  |

## Field Documentation

MagickRealType(* _ResizeFilter::filter)(const MagickRealType, const ResizeFilter *)

MagickRealType(*)(*) _ResizeFilter::support

MagickRealType(*)(*) _ResizeFilter::wsupport

MagickRealType(*)(*) _ResizeFilter::wsize

MagickRealType(*)(*) _ResizeFilter::blur

MagickRealType(*)(*) _ResizeFilter::cubic[8]

unsigned long _ResizeFilter::signature

The documentation for this struct was generated from the following file:

- resize.c